## equalizer-3bands equalizer-3bands |

## Properties

gdouble | band0 | Read / Write
gdouble | band1 | Read / Write
gdouble | band2 | Read / Write

## Types and Values

struct | GstIirEqualizer3Bands

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioFilter
                            ╰── GstIirEqualizer
                                ╰── GstIirEqualizer3Bands

## Implemented Interfaces

GstIirEqualizer3Bands implements GstChildProxy and GstPreset.

## Description

The 3-band equalizer element allows to change the gain of a low frequency, medium frequency and high frequency band.

### Example launch line

    1
    gst-launch-1.0 filesrc location=song.ogg ! oggdemux ! vorbisdec ! audioconvert ! equalizer-3bands band1=6.0 ! alsasink

This raises the volume of the 2nd band, which is at 1110 Hz, by 6 db.

## Synopsis

### Element Information

plugin | equalizer
author | Stefan Kost <ensonic@users.sf.net>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S16LE, F32LE, F64LE }, rate=(int)[ 1000, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S16LE, F32LE, F64LE }, rate=(int)[ 1000, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

## Functions

## Types and Values

### struct GstIirEqualizer3Bands

    struct GstIirEqualizer3Bands;

## Property Details

### The `“band0”` property

      “band0”                    gdouble

gain for the frequency band 100 Hz, ranging from -24.0 to +12.0.

Flags: Read / Write

Allowed values: [-24,12]

Default value: 0

### The `“band1”` property

      “band1”                    gdouble

gain for the frequency band 1100 Hz, ranging from -24.0 to +12.0.

Flags: Read / Write

Allowed values: [-24,12]

Default value: 0

### The `“band2”` property

      “band2”                    gdouble

gain for the frequency band 11 kHz, ranging from -24.0 to +12.0.

Flags: Read / Write

Allowed values: [-24,12]

Default value: 0